### Name: ggerrorbar
### Title: Grob function: error bars
### Aliases: ggerrorbar
### Keywords: hplot

### ** Examples
df <- data.frame(x = factor(c(1, 1, 2, 2)), y = c(1, 5, 3, 4), g = c(1, 2, 1, 2), bar = c(0.1, 
0.3, 0.3, 0.2))
df2<-df[c(1,3),];df2

p <- ggbar(ggplot(data=df, aes=list(fill=g, y=y, x=x)))
ggerrorbar(p, aes=list(plus=bar))
qplot(x,y,df,types=list("bar","errorbar"), avoid="dodge",aes=list(fill=g,plus=bar))
qplot(x,y,df,types=list("bar","errorbar"), avoid="dodge",aes=list(fill=g,plus=bar, minus=-2*bar))
qplot(x,y,df2,types=list("point","errorbar"), aes=list(plus=bar), width=0.1)
qplot(x,y,df2,types=list("bar","line","point","errorbar"), aes=list(fill=g,plus=bar,barcolour=g))
qplot(x,y,df2,types=list("jitter","errorbar"), aes=list(plus=bar))
qplot(x,y,df,types=list("point","line","errorbar"), aes=list(plus=bar,id=g), width=0.1)


